
use strict;
use Test::More tests => 4;

use DE_EPAGES::Core::API::SystemCommand qw(ShellCommand);

use API::Patch::PatchPostInstallHandlerCleanUp;

## no critic qw(Subroutines::ProtectPrivateSubs)

ShellCommand( '. /etc/default/epages6 && /var/epages/ini-config.sh '
    . '-f $EPAGES_CONFIG/DataCache.conf ' 
    . '-s PageCache -k DisableCtmplStat -v 0 -i' );
ok(not (API::Patch::PatchPostInstallHandlerCleanUp::_IsCtmplStatDisabled()),
    'Retrieve negative CtmplStatDisabled config value');
ok(API::Patch::PatchPostInstallHandlerCleanUp::_IsCtmplStatEnabled(),
    'Negation of negative CtmplStatDisabled config value');

ShellCommand( '. /etc/default/epages6 && /var/epages/ini-config.sh '
    . '-f $EPAGES_CONFIG/DataCache.conf ' 
    . '-s PageCache -k DisableCtmplStat -v 1 -i' );
ok(API::Patch::PatchPostInstallHandlerCleanUp::_IsCtmplStatDisabled(),
    'Retrieve positive CtmplStatDisabled config value.');
ok(not (API::Patch::PatchPostInstallHandlerCleanUp::_IsCtmplStatEnabled()),
    'Negation of positive CtmplStatDisabled config value.');

